> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ekiden.fi/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Insurance Pool History

> Get archived insurance pool snapshots for one symbol or all pools.



## OpenAPI

````yaml /api-reference/openapi.json get /api/v1/market/insurance-pool/history
openapi: 3.1.0
info:
  title: ekiden-gateway
  description: >-
    API Gateway and WebSocket proxy based on Axum and Utoipa, handling auth,
    rate limiting, and connection buffering.
  license:
    name: ''
  version: 0.1.1
servers:
  - url: https://api.cnt.ekiden.fi/
    description: Testnet
  - url: https://api.canton.ekiden.fi/
    description: Staging
security: []
paths:
  /api/v1/market/insurance-pool/history:
    get:
      tags:
        - Market
      summary: Get Insurance Pool History
      description: Get archived insurance pool snapshots for one symbol or all pools.
      operationId: get_insurance_pool_history
      parameters:
        - name: symbol
          in: query
          required: false
          schema:
            oneOf:
              - type: 'null'
              - $ref: '#/components/schemas/Symbol'
        - name: start_time
          in: query
          required: false
          schema:
            type:
              - string
              - 'null'
            format: date-time
        - name: end_time
          in: query
          required: false
          schema:
            type:
              - string
              - 'null'
            format: date-time
        - name: limit
          in: query
          required: false
          schema:
            type:
              - integer
              - 'null'
            format: int32
            minimum: 0
      responses:
        '200':
          description: Insurance pool history
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetInsurancePoolHistoryResponse'
components:
  schemas:
    Symbol:
      type: string
      example: BTC-USDCx
    GetInsurancePoolHistoryResponse:
      type: object
      required:
        - list
      properties:
        list:
          type: array
          items:
            $ref: '#/components/schemas/InsurancePoolSnapshot'
    InsurancePoolSnapshot:
      type: object
      required:
        - pool_id
        - pool_group_id
        - cash_balance
        - realized_pnl_cum
        - unrealized_pnl
        - base_equity
        - equity
        - group_redistribution_in
        - group_redistribution_out
        - group_adl_obligation
        - adl_mode
        - updated_time
        - inventory
      properties:
        adl_mode:
          type: string
        adl_trigger_reason:
          type:
            - string
            - 'null'
        base_equity:
          type: string
        cash_balance:
          type: string
        equity:
          type: string
        group_adl_obligation:
          type: string
        group_redistribution_in:
          type: string
        group_redistribution_out:
          type: string
        inventory:
          type: array
          items:
            $ref: '#/components/schemas/InsurancePoolInventoryPosition'
        latest_pnl_ratio:
          type:
            - string
            - 'null'
        pool_group_id:
          type: string
        pool_id:
          type: string
        realized_pnl_cum:
          type: string
        unrealized_pnl:
          type: string
        updated_time:
          type: string
          format: date-time
          example: '1672531200000'
    InsurancePoolInventoryPosition:
      type: object
      required:
        - symbol
        - side
        - size
        - avg_entry_price
        - unrealized_pnl
      properties:
        avg_entry_price:
          type: string
        side:
          $ref: '#/components/schemas/Side'
        size:
          type: string
        symbol:
          $ref: '#/components/schemas/Symbol'
        unrealized_pnl:
          type: string
    Side:
      type: string
      description: 'Order side: buy or sell.'
      enum:
        - Sell
        - Buy

````